llng-fastcgi-server(8)

NAME
llng-fastcgi-server - FastCGI server used for providing LemonLDAP::NG services.

SYNOPSIS
  # Start server listening to /run/llng.sock with 10 workers
  llng-fastcgi-server -u nobody -g nobody -s /run/llng.sock -n 10

DESCRIPTION
llng-fastcgi-server has been designed to provide LemonLDAP::NG services to Nginx or DevOps Handler. Portal, Manager and Handler will be compiled just-in-time. So this FastCGI server can be used on every LemonLDAP::NG server even if it needs only some parts (isolated handlers, portal,...).

PARAMETERS
Each parameter can be set by using options or environment variables.

--pid    -p ($ENV{PID}):
    pid file

--user   -u ($ENV{USER}):
    user

--group  -g ($ENV{GROUP}):
    group

--proc   -n ($ENV{NPROC}):
    Number of processus for FCGI

--socket -s ($ENV{SOCKET}):
    Unix socket

--listen -l ($ENV{LISTEN}):
    Listening address (HOST:PORT, :PORT, or PATH)

--customFunctionsFile -f ($ENV{CUSTOM_FUNCTIONS_FILE}):
    file to load for custom functions

--engine -e ($ENV{ENGINE}):
    Plack::Handler engine, default to FCGI (see below)

--plackOptions:
    To pass other options to the Plack handler. This multi-valued parameter must have "key=value" values.

    See Plack::Handler::FCGI to find out list of available options for default FCGI engine

ENGINES
By default, llng-fastcgi-server uses FCGI (= Plack::Handler::FCGI). Some other engines can be used:

  FCGI (default)
It uses FCGI::ProcManager as manager. Other managers:

FCGI::ProcManager::Dynamic
      llng-fastcgi-server -u nobody -g nobody -s /run/llng.sock -e FCGI -n 10 \
                          --plackOptions manager=FCGI::ProcManager::Dynamic

  Other FCGI::ProcManager style engines

FCGI::Engine

  Event engines
AnyEvent::FCGI
FCGI::Async
FCGI::EV

SEE ALSO
<http://lemonldap-ng.org/>

AUTHORS

Clement Oudot, <clem.oudot@gmail.com>
Xavier Guimard, <x.guimard@free.fr>

BUG REPORT
Use OW2 system to report bug or ask for features: <https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/issues>

DOWNLOAD
Lemonldap::NG is available at <https://lemonldap-ng.org/download>

COPYRIGHT AND LICENSE

Copyright (C) 2008-2016 by Xavier Guimard, <x.guimard@free.fr>
Copyright (C) 2008-2016 by Clement Oudot, <clem.oudot@gmail.com>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.